folderBrand template folders

List brand template folders

This endpoint makes an HTTP GET request to retrieve the brand template folders of a brand kit.

Request

Method: GET Endpoint: https://api.thebrief.ai/v1/brandkits/templates/folders Query parameters:

  • brandkitId (integer, required): The id of the brand kit.

  • parentId (integer, optional): Optional filter by parent folder.

curl --location 'https://api.thebrief.ai/v1/brandkits/templates/folders?brandkitId=123456' \
--header 'Authorization: Bearer eyJ...'

Response

The response will be in JSON format with the following schema:

{
    "response": [
        {
            "id": 200,
            "name": "Summer campaign",
            "parentId": null
        }
    ]
}

Create a brand template folder

This endpoint makes an HTTP POST request to create a new brand template folder in a brand kit.

Request

Method: POST Endpoint: https://api.thebrief.ai/v1/brandkits/templates/folders Body:

  • brandkitId (integer, required): The id of the brand kit.

  • name (string, required): The folder display name.

Response

The response will be in JSON format with the following schema:


Rename a brand template folder

This endpoint makes an HTTP PUT request to rename a brand template folder in a brand kit.

Request

Method: PUT Endpoint: https://api.thebrief.ai/v1/brandkits/templates/folders Body:

  • brandkitId (integer, required): The id of the brand kit.

  • folderId (integer, required): The id of the folder to rename.

  • name (string, required): The new folder name.

Response

The response will be in JSON format with the following schema:


Delete a brand template folder

This endpoint makes an HTTP DELETE request to delete a brand template folder from a brand kit.

Request

Method: DELETE Endpoint: https://api.thebrief.ai/v1/brandkits/templates/folders Body:

  • brandkitId (integer, required): The id of the brand kit.

  • folderId (integer, required): The id of the folder to delete.

Response

The response will be in JSON format with the following schema:


Last updated